﻿<!--!<#@ template language="C#" #>!-->
<!--!<#@ samplevars Processor="DirectiveProcessor" #>!-->
<!--!<# if (!Params.AddCustomGetHandler || Params.CalDav || Params.CardDav)  return string.Empty; #>!-->
<!--!<# if (Params.Hosting == HostingEnvironment.IIS) { #>!-->
<%@ Page Title="WebDAV" Language="C#" AutoEventWireup="true" Inherits="ITHit.WebDav.Server.SampleModel.MyCustomHandlerPage"%>
<!--!<# } #>!-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>IT Hit WebDAV Server Engine</title><meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<script type="text/javascript">
	    var port = window.location.port;
	    if (port == "")
	        port = window.location.protocol == 'http:' ? '80' : '443'; // Web Folders on Windows XP require port, even if it is a default port 80 or 443.
	    var webDavFolderUrl = window.location.protocol + '//' + window.location.hostname + ':' + port + '<%=Request.ApplicationPath.TrimEnd('/')%>/<#=string.IsNullOrEmpty(Params.DavUrlPrefix) ? "" : (Params.DavUrlPrefix.Trim('/')+"/")#>';

	    function init() {
	        if (navigator.appName == "Microsoft Internet Explorer")
	            oBrowseWindowsExplorer.disabled = false;
	    }
	    function OpenWebFolder() {
	        var res = oViewFolder.navigate(webDavFolderUrl);
	        if (res != "OK") {
	            oAddress.innerText = webDavFolderUrl;
	            oError.innerText = res;
	            oInfo.style.display = "";
	        }
	    }

	    function OpenAjaxFileBrowserWindow() {
	        //!<# if (Params.Hosting == HostingEnvironment.IIS) { #>
	        window.open("/AjaxFileBrowser/AjaxFileBrowser.aspx", "", "menubar=1,location=1,status=1,scrollbars=1,resizable=1,width=900,height=600");
	        //!<# } else { #>
	        window.open("/AjaxFileBrowser/AjaxFileBrowser.html", "", "menubar=1,location=1,status=1,scrollbars=1,resizable=1,width=900,height=600");
	        //!<# } #>
	    }

	    function OpenTestsWindow() {
	        var width = Math.round(screen.width * 0.5);
	        var height = Math.round(screen.height * 0.8);
	        //!<# if (Params.Hosting == HostingEnvironment.IIS) { #>
	        window.open("/AjaxFileBrowser/AjaxIntegrationTests.aspx", "", "menubar=1,location=1,status=1,scrollbars=1,resizable=1,width=" + width + ",height=" + height);
	        //!<# } else { #>
	        window.open("/AjaxFileBrowser/AjaxIntegrationTests.html", "", "menubar=1,location=1,status=1,scrollbars=1,resizable=1,width=" + width + ",height=" + height);
	        //!<# } #>
	    }
	</script>
    <style type="text/css">
        body { font-family: Verdana; font-size:smaller; }
        li { padding-bottom: 7px; }
        input {width: 250px}
    </style>
</head>
	<body onload="init()">
	    <!--!<# if (Params.Hosting == HostingEnvironment.IIS) { #>!-->
	    <h1>IT Hit WebDAV Server Engine v<%=System.Reflection.Assembly.GetAssembly(typeof(ITHit.WebDAV.Server.DavEngine)).GetName().Version %></h1>
        <!--!<# } else { #>!-->
        <h1>IT Hit WebDAV Server Engine v_webDavServerVersion_</h1>
        <!--!<# } #>!-->
	    <p>This page is displayed when user accesses any folder on your WebDAV server in a web browser. You can customize this page to your needs. To test your WebDAV server you can run Ajax integration tests right from this page:</p>
        <p><input type="button" onclick="OpenTestsWindow()" value="Run Integration Tests" /></p>
        <br />
        <p>Here are some ways of managing files on your WebDAV server:</p>
        <ul>
        <li>Use a WebDAV client provided with almost any OS. Refer to <a href="http://www.webdavsystem.com/server/documentation/access">Accessing WebDAV Server</a> page for detailed instructions. If you are running Internet Explorer you can open Web Folders / Mini-Redirector right from a web page:
		<p><input id="oBrowseWindowsExplorer" type="button" onclick="OpenWebFolder()" value="Browse using Windows Explorer" disabled="disabled" /></p>
        <span id="oViewFolder" style="behavior:url(#default#httpFolder)"></span>
		<div id="oInfo" style="display: none">
		    <h2>Failed to open folders view.</h2>
		    <p>Address: <font id="oAddress"></font></p>
		    <p>Error: <font id="oError"></font></p>
		    <p>
                <ul>
                    <li>If you are using non-SSL connection with Basic authentication for development and testing purposes make sure you enable <a href=" http://support.microsoft.com/kb/2123563">Basic for non-SSL connections</a> on your client machine.</li>
                    <li>Depending on your client OS you may need to install <a href="http://www.microsoft.com/downloads/details.aspx?familyid=17C36612-632E-4C04-9382-987622ED1D64&displaylang=en">Software Update for Web Folders.</a></li>
                </ul>
            </p>
		</div>        
        </li>
        <li>Use the IT Hit Ajax File Browser. You can <a href="http://www.webdavsystem.com/ajaxfilebrowser/programming/">deploy</a> all files required for Ajax File Browser UI to your website, or you can reference necessary files from IT Hit website.
        <p><input type="button" onclick="OpenAjaxFileBrowserWindow()" value="Browse using Ajax File Browser" /></p>
        </li>
        <li>Modify <a href="http://www.webdavsystem.com/server/documentation/customization">your custom GET handler</a> to display content of your server. This is the fast way to list files on your WebDAV server.</li>
        </ul>
        
	</body>
</html>
