﻿//!<#@ template language="C#" #>
//!<#@ samplevars Processor="DirectiveProcessor" #>
//!<# if (!Params.AddCustomGetHandler || (Params.Hosting != HostingEnvironment.IIS))  return string.Empty; #>
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;

using ITHit.WebDAV.Server;
//!<# if (Params.CalDav) { #>
using ITHit.WebDAV.Server.CalDav;
//!<# } #>
//!<# if (Params.CardDav) { #>
using ITHit.WebDAV.Server.CardDav;
//!<# } #>
//!<# if (false) { #>
using ITHit.WebDav.Server.SampleModel.__NtfsStorage__;
//!<# } #>

namespace ITHit.WebDav.Server.SampleModel
{
    public class MyCustomHandlerPage : Page
    {
        //!<# if (Params.CalDav || Params.CardDav) { #>

        private Discovery discovery = new Discovery(new DavContext(HttpContext.Current));
        //!<# } #>
        //!<# if (Params.CalDav) { #>

        /// <summary>
        /// Gets all user calendars Urls
        /// </summary>
        public IEnumerable<string> AllUserCalendarsUrl
        {
            get 
            {
                List<string> urls = new List<string>();                
                
                // get list of folders that contain user calendars and enumerate calendars in each folder
                foreach (IItemCollection folder in discovery.CalendarHomeSet)
                {
                    IEnumerable<IHierarchyItem> children = folder.GetChildren(new PropertyName[0]);
                    foreach (IHierarchyItem item in children)
                    {
                        if (item is ICalendarFolder)
                        {
                            urls.Add(ApplicationPath + item.Path);
                        }
                    }
                }
                return urls;
            }
        }
        //!<# } #>
        //!<# if (Params.CardDav) { #>

        /// <summary>
        /// Gets all user addressbooks Urls
        /// </summary>
        public IEnumerable<string> AllUserAddressbooksUrl
        {
            get
            {
                List<string> urls = new List<string>();

                // get list of folders that contain user addressbooks and enumerate calendars in each folder
                foreach (IItemCollection folder in discovery.AddressbookHomeSet)
                {
                    IEnumerable<IHierarchyItem> children = folder.GetChildren(new PropertyName[0]);
                    foreach (IHierarchyItem item in children)
                    {
                        if (item is IAddressbookFolder)
                        {
                            urls.Add(ApplicationPath + item.Path);
                        }
                    }
                }
                return urls;
            }
        }
        //!<# } #>
        //!<# if (Params.CalDav || Params.CardDav) { #>

        public static string ApplicationPath
        {
            get
            {
                Uri url = HttpContext.Current.Request.Url;
                DavContext context = new DavContext(HttpContext.Current);
                string server = url.Scheme + "://" + url.Host + (url.IsDefaultPort ? "" : ":"+url.Port.ToString()) + "/" + context.Request.ApplicationPath.Trim('/');
                return server.TrimEnd('/') + '/';
            }
        }
        //!<# } #>
    }
}